IOPRBS(4)

NAME
ioprbs - I2O SCSI RAID controller

SYNOPSIS
ioprbs* at iop?
scsibus* at ioprbs?

DESCRIPTION
The ioprbs driver provides support for I2O random block storages, like RAID-sets. So far only the following adapters have been tested:

Adaptec 2100S
Adaptec 2110S
Adaptec 3200S

Although only these adapters have been tested, the I2O interface is a generic one, and the driver should cope with all I2O random block storages with no further adaptions.

The storage is presented to the system as SCSI disks for uniformity with other RAID controllers we support. All RAID configuration is done through the controllers' BIOSes.

SEE ALSO
intro(4), iop(4), iopsp(4), scsi(4)

HISTORY
The ioprbs driver first appeared in OpenBSD 3.0.

AUTHORS
-nosplit The ioprbs driver was written by Niklas Hallqvist <niklas@openbsd.org>, inspired by the NetBSD ld_iop driver by Andrew Doran <ad@netbsd.org>.